List creditor profile import histories
curl --request GET \
--url https://api.ecomailhub.younegotiate.com/import-creditor-profiles/histories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ecomailhub.younegotiate.com/import-creditor-profiles/histories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ecomailhub.younegotiate.com/import-creditor-profiles/histories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 41,
"filename": "Creditor-Profiles-20260705154530-a1b2c3d4.csv",
"original_filename": "Creditor Profiles.csv",
"failed_filename": "Creditor-Profiles-failed-41.csv",
"file_size_bytes": 4096,
"status": "completed",
"status_label": "Completed",
"total_records": 100,
"success_count": 98,
"error_count": 2,
"is_hidden": false,
"actions": {
"can_download_uploaded_file": true,
"can_download_failed_file": true,
"can_delete": true
},
"processing_started_at": "2026-07-05T10:15:40.000000Z",
"processing_completed_at": "2026-07-05T10:16:40.000000Z",
"created_at": "2026-07-05T10:15:30.000000Z",
"updated_at": "2026-07-05T10:16:40.000000Z"
}
],
"pagination": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 25,
"to": 1,
"total": 1
}
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}List creditor profile import histories
List EcoMail Hub creditor profile CSV upload histories. Hidden rows are excluded.
GET
/
import-creditor-profiles
/
histories
List creditor profile import histories
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search by stored filename or original uploaded filename.
Maximum string length:
255Available options:
upload-date, name, records, successful-records, failed-records, status Available options:
asc, desc Required range:
x >= 1Required range:
1 <= x <= 100Last modified on July 19, 2026
Was this page helpful?
⌘I

